View Issue Details

IDProjectCategoryView StatusLast Update
0003688SymmetricDSBugpublic2019-02-27 09:13
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target VersionFixed in Version3.8.41 
Summary0003688: Routing can fail due to ConcurrentModificationException while attempting to log "Routing for channel has been running..." (3.8)
DescriptionThere is a situation where the peek ahead thread could be adding transactions to the transaction Set, and at the same time, RouterService attempts to call "toString()" on that transactions Set. This results in a ConcurrentModificationException during the toString operation on the set. This logging is not really needed so we will no longer log the transactions here.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 ce41ccf3

2018-11-14 12:45:50

mmichalek

Details Diff
0003688: Routing can fail due to ConcurrentModificationException while attempting to log "Routing for channel has been running..." (3.8)
0003688
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2018-08-22 06:41 mmichalek New Issue
2018-08-22 06:41 mmichalek Status new => assigned
2018-08-22 06:41 mmichalek Assigned To => mmichalek
2018-08-22 06:41 mmichalek Issue generated from: 0003658
2018-11-14 13:00 mmichalek Changeset attached => SymmetricDS 3.8 ce41ccf3
2018-11-28 13:22 mmichalek Target Version 3.8.41 =>
2019-02-27 09:13 mmichalek Status assigned => resolved
2019-02-27 09:13 mmichalek Resolution open => fixed
2019-02-27 09:13 mmichalek Fixed in Version => 3.8.41
2019-02-27 09:13 mmichalek Status resolved => closed